Android Studio 2.2 Preview 3 发布 - 开源中国社区
Android Studio 2.2 Preview 3 发布
oschina 2016年06月09日

Android Studio 2.2 Preview 3 发布

oschina oschina 发布于2016年06月09日 收藏 3 评论 21

阿里云高性能云服务器,2折起! >>> >>>  

Android Studio 2.2 Preview 3 发布了,该版本新增一些新特性,以及修复 Preview 2 中发现的 Bugs。

以下是该版本值得关注的内容:

Espresso Test Recorder

Constraint Layout

  • ConstraintLayout editor:

    • New toolbar UI

    • Pan & zoom widget in the inspector

    • Better auto-inference

    • Databinding support in the layout editor

  • ConstraintLayout:

    • Fixed padding bug

    • Various bug fixes (design mode positioning, etc.)

  • Images support:

    • Photoshop viewer integrated in Android Studio

    • Convert Photoshop files to Vector Drawable

完整发布说明,点击这里查看。

下载地址:https://sites.google.com/a/android.com/tools/download/studio

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Android Studio 2.2 Preview 3 发布
分享
评论(21)
最新评论
0

引用来自“ijustyce”的评论

还是有问题,A依赖B,B依赖C,A里会出错,具体可以看这里,这个问题现在依旧没有解决!http://stackoverflow.com/questions/37336960/android-studio-2-2-1-cannot-resolve-symbol

引用来自“ijustyce”的评论

就是不能依赖传递

引用来自“kut”的评论

怎么我可以呢?why?

引用来自“ijustyce”的评论

比如A模块是app,A依赖B,B依赖C,A里使用C的方法会红,但是编译通过!一个模块没问题!

引用来自“kut”的评论

一直没问题哦。
你确定你用的是2.2?2.1是没问题。2.2肯定有问题
0
gradle就不能把编译慢,cpu和内存占用超高的问题 给尽快解决吗?
我可是给他们提了issue的啊。
0
谁给个国内地址啊?
0
哎,一直闪退...
0

引用来自“ijustyce”的评论

还是有问题,A依赖B,B依赖C,A里会出错,具体可以看这里,这个问题现在依旧没有解决!http://stackoverflow.com/questions/37336960/android-studio-2-2-1-cannot-resolve-symbol

引用来自“ijustyce”的评论

就是不能依赖传递

引用来自“kut”的评论

怎么我可以呢?why?

引用来自“ijustyce”的评论

比如A模块是app,A依赖B,B依赖C,A里使用C的方法会红,但是编译通过!一个模块没问题!
一直没问题哦。
0

引用来自“xiaolei123”的评论

没觉得gradle一直是个问题么

引用来自“cpanmac”的评论

gradle有何问题

引用来自“xiaolei123”的评论

兼容问题……一升级,项目全挂
是不是依赖无法传递!还是?
0

引用来自“ijustyce”的评论

还是有问题,A依赖B,B依赖C,A里会出错,具体可以看这里,这个问题现在依旧没有解决!http://stackoverflow.com/questions/37336960/android-studio-2-2-1-cannot-resolve-symbol

引用来自“ijustyce”的评论

就是不能依赖传递

引用来自“kut”的评论

怎么我可以呢?why?
比如A模块是app,A依赖B,B依赖C,A里使用C的方法会红,但是编译通过!一个模块没问题!
0

引用来自“ijustyce”的评论

还是有问题,A依赖B,B依赖C,A里会出错,具体可以看这里,这个问题现在依旧没有解决!http://stackoverflow.com/questions/37336960/android-studio-2-2-1-cannot-resolve-symbol

引用来自“ijustyce”的评论

就是不能依赖传递

引用来自“kut”的评论

怎么我可以呢?why?
你确定你可以?
0

引用来自“ijustyce”的评论

还是有问题,A依赖B,B依赖C,A里会出错,具体可以看这里,这个问题现在依旧没有解决!http://stackoverflow.com/questions/37336960/android-studio-2-2-1-cannot-resolve-symbol

引用来自“ijustyce”的评论

就是不能依赖传递
怎么我可以呢?why?
0

引用来自“xiaolei123”的评论

没觉得gradle一直是个问题么

引用来自“cpanmac”的评论

gradle有何问题
主要是编译慢
0
不能刷新布局编辑器的bug改了没,patch更新 .9图 的bug修复没
0

引用来自“ijustyce”的评论

还是有问题,A依赖B,B依赖C,A里会出错,具体可以看这里,这个问题现在依旧没有解决!http://stackoverflow.com/questions/37336960/android-studio-2-2-1-cannot-resolve-symbol
就是不能依赖传递
0
还是有问题,A依赖B,B依赖C,A里会出错,具体可以看这里,这个问题现在依旧没有解决!http://stackoverflow.com/questions/37336960/android-studio-2-2-1-cannot-resolve-symbol
0

引用来自“ijustyce”的评论

Windows: https://dl.google.com/dl/android/studio/ide-zips/2.2.0.2/android-studio-ide-145.2949926-windows.zip (436.8 MB)
Mac: https://dl.google.com/dl/android/studio/ide-zips/2.2.0.2/android-studio-ide-145.2949926-mac.zip (436.9 MB)
Linux: https://dl.google.com/dl/android/studio/ide-zips/2.2.0.2/android-studio-ide-145.2949926-linux.zip (436.4 MB)
感谢提供国内可以点开的地址。
0
Windows: https://dl.google.com/dl/android/studio/ide-zips/2.2.0.2/android-studio-ide-145.2949926-windows.zip (436.8 MB)
Mac: https://dl.google.com/dl/android/studio/ide-zips/2.2.0.2/android-studio-ide-145.2949926-mac.zip (436.9 MB)
Linux: https://dl.google.com/dl/android/studio/ide-zips/2.2.0.2/android-studio-ide-145.2949926-linux.zip (436.4 MB)
0

引用来自“xiaolei123”的评论

没觉得gradle一直是个问题么

引用来自“cpanmac”的评论

gradle有何问题
兼容问题……一升级,项目全挂
0

引用来自“xiaolei123”的评论

没觉得gradle一直是个问题么
gradle有何问题
0
立即更新
0
喜闻乐见
0
没觉得gradle一直是个问题么
顶部